org.eclipse.wst.jsdt.ui.actions

## Class IntroduceIndirectionAction

- java.lang.Object
- - Action
  - - org.eclipse.wst.jsdt.ui.actions.SelectionDispatchAction
    - - org.eclipse.wst.jsdt.ui.actions.IntroduceIndirectionAction

    public class IntroduceIndirectionAction
    extends SelectionDispatchAction

Action that introduces an indirection for a certain method. This action may be invoked on source or binary methods or method invocations with or without attached source.

This class may be instantiated; it is not intended to be subclassed.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`IntroduceIndirectionAction(IWorkbenchSite site)` Creates a new `IntroduceIndirectionAction`.
`IntroduceIndirectionAction(org.eclipse.wst.jsdt.internal.ui.javaeditor.JavaEditor editor)` Note: This constructor is for internal use only.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run(IStructuredSelection selection)` Executes this actions with the given selection.
`void` `run(ITextSelection selection)` Executes this actions with the given selection.
`void` `selectionChanged(IStructuredSelection selection)`
`void` `selectionChanged(ITextSelection selection)`

### Methods inherited from class org.eclipse.wst.jsdt.ui.actions.SelectionDispatchAction

`getSelection, getSelectionProvider, getShell, getSite, run, setSpecialSelectionProvider, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntroduceIndirectionAction

    public IntroduceIndirectionAction(org.eclipse.wst.jsdt.internal.ui.javaeditor.JavaEditor editor)

Note: This constructor is for internal use only. Clients should not call this constructor.

Parameters:
  `editor` - the compilation unit editor

#### IntroduceIndirectionAction

    public IntroduceIndirectionAction(IWorkbenchSite site)

Creates a new `IntroduceIndirectionAction`.

Parameters:
  `site` - the site providing context information for this action

### Method Detail

#### selectionChanged

    public void selectionChanged(IStructuredSelection selection)

Overrides:
  `selectionChanged` in class `SelectionDispatchAction`

#### selectionChanged

    public void selectionChanged(ITextSelection selection)

Overrides:
  `selectionChanged` in class `SelectionDispatchAction`

#### run

    public void run(IStructuredSelection selection)

Description copied from class: `SelectionDispatchAction`
Executes this actions with the given selection. This default implementation does nothing.

Overrides:
  `run` in class `SelectionDispatchAction`
Parameters:
  `selection` - the selection

#### run

    public void run(ITextSelection selection)

Description copied from class: `SelectionDispatchAction`
Executes this actions with the given selection. This default implementation does nothing.

Overrides:
  `run` in class `SelectionDispatchAction`
Parameters:
  `selection` - the selection